
Ruby - Bug #7392

Add handling for %i and %I quoting to irb

11/19/2012 11:55 AM - zzak (zzak _)

Status: Closed   

Priority: Normal   

Assignee: keiju (Keiju Ishitsuka)   

Target version: 2.0.0   

ruby -v: trunk Backport:  

Description

from github:

https://github.com/ruby/ruby/pull/157

Associated revisions

Revision 4943b46ae7ce04ec8faae014040cc487a35bf149 - 12/23/2012 06:25 AM - zzak (zzak _)

lib/irb/ruby-lex.rb: Add handling for %i and %I quoting to irb

Patch by flori [ruby-core:49550] [Bug #7392] [Github Issue #157]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@38570 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4943b46a - 12/23/2012 06:25 AM - zzak (zzak _)

lib/irb/ruby-lex.rb: Add handling for %i and %I quoting to irb

Patch by flori [ruby-core:49550] [Bug #7392] [Github Issue #157]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@38570 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 11/19/2012 12:08 PM - marcandre (Marc-Andre Lafortune)

- Tracker changed from Feature to Bug

#2 - 11/19/2012 12:10 PM - marcandre (Marc-Andre Lafortune)

- ruby -v set to trunk

Changed from Feature to Bug (right?)

#3 - 12/21/2012 10:32 PM - tarui (Masaya Tarui)

- Status changed from Open to Assigned

#4 - 12/23/2012 03:25 PM - zzak (zzak _)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r38570.

Zachary, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/irb/ruby-lex.rb: Add handling for %i and %I quoting to irb

Patch by flori [ruby-core:49550] [Bug #7392] [Github Issue #157]

#5 - 12/23/2012 03:26 PM - zzak (zzak _)

- Status changed from Closed to Assigned

Committed as r38570 please check it
bugs.ruby-lang.org/issues/7392
#6 - 12/26/2012 11:36 PM - keiju (Keiju Ishitsuka)

- Status changed from Assigned to Closed

zzak (Zachary Scott) wrote:

Committed as r38570 please check it

 I have checked it. Thank you for this commit.

Files

irb_symbol_token.patch 561 Bytes 11/19/2012 zzak (zzak _)
